package com.yingxin.springcloudconsumer.service;

import com.yingxin.springcloudconsumer.entity.User;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = "spring-cloud-server-HelloWorldFast", fallback = HelloFastFallBack.class)
public interface HelloFastService {

    @GetMapping("hello")
    String hello();

    @GetMapping("exampleforget")
    User getUser();

    @GetMapping("queryUserList")
    List<User> getUsers();
}
