package com.yingxin.springcloudconsumer.service;

import com.yingxin.springcloudconsumer.entity.User;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class HelloSlowFallBack implements HelloSlowService {

    @Override
    public String hello() {
        System.out.println("slow server error.");
        return "service error";
    }

    @Override
    public User getUser() {
        return new User();
    }

    @Override
    public List<User> getUsers() {
        return null;
    }
}
