package com.yingxin.springcloudconsumer.service;

import com.yingxin.springcloudconsumer.entity.User;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class HelloFastFallBack implements HelloFastService {
    @Override
    public String hello() {
        System.out.println("fast server error");
        return "hello error";
    }

    @Override
    public User getUser() {
        return new User();
    }

    @Override
    public List<User> getUsers() {
        return null;
    }
}
